ubuntu/+source/libindi:applied/ubuntu/eoan-devel

Last commit made on 2018-11-24
Get this branch:
git clone -b applied/ubuntu/eoan-devel https://git.launchpad.net/ubuntu/+source/libindi
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/eoan-devel
Repository:
lp:ubuntu/+source/libindi

Recent commits

902ebe4... by Pino Toscano <email address hidden> on 2018-11-24

Import patches-applied version 1.7.5+dfsg-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: fc76c98d3dd9d4881d019fc7b0960aa138f773b5
Unapplied parent: 41f7f089b50ae87b5712e219964d83d0568d0e0f

New changelog entries:
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes required.

41f7f08... by Pino Toscano <email address hidden> on 2018-11-24

Workaround PATH_MAX usages

Gbp-Pq: path_max.diff.

4c90fec... by Pino Toscano <email address hidden> on 2018-11-24

Import patches-unapplied version 1.7.5+dfsg-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: fe09f640d8db7294d697c9d818ff12d4408c4533

New changelog entries:
  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes required.

fc76c98... by Pino Toscano <email address hidden> on 2018-08-21

Import patches-applied version 1.7.4+dfsg-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 8588ac6c0c238879a86d1b26b17feecc849cf0e8
Unapplied parent: 00075bd9fcd9fe0ed98101300c67612e91cd8205

New changelog entries:
  * New upstream release.
  * Bump Standards-Version to 4.2.0, no changes required.

fe09f64... by Pino Toscano <email address hidden> on 2018-08-21

Import patches-unapplied version 1.7.4+dfsg-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 61b01d051c0c317284ee5e5905b1c5aa9009b9cd

New changelog entries:
  * New upstream release.
  * Bump Standards-Version to 4.2.0, no changes required.

00075bd... by Pino Toscano <email address hidden> on 2018-08-21

Workaround PATH_MAX usages

Gbp-Pq: path_max.diff.

8588ac6... by Pino Toscano <email address hidden> on 2018-04-28

Import patches-applied version 1.7.2+dfsg-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 170ec87713286e3e9f428c2e1f04a10f1c8c3764
Unapplied parent: ac4baa18bf224c1b43ff028711a2f2135aee49b6

New changelog entries:
  * New upstream release.
  * Since we alre already repacking, exclude the upstream 'debian'
    subdirectory.
  * Run dh_missing with --fail-missing, to not miss any installed file.
  * Bump Standards-Version to 4.1.4, no changes required.

61b01d0... by Pino Toscano <email address hidden> on 2018-04-28

Import patches-unapplied version 1.7.2+dfsg-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 34c46e0ff368bdaad70a83c141697abcf55d1634

New changelog entries:
  * New upstream release.
  * Since we alre already repacking, exclude the upstream 'debian'
    subdirectory.
  * Run dh_missing with --fail-missing, to not miss any installed file.
  * Bump Standards-Version to 4.1.4, no changes required.

ac4baa1... by Pino Toscano <email address hidden> on 2018-04-28

Workaround PATH_MAX usages

Gbp-Pq: path_max.diff.

170ec87... by Pino Toscano <email address hidden> on 2018-03-08

Import patches-applied version 1.6.2+dfsg-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 75657e6dc03c0415940f538d8d4ec7bf9eac64ce
Unapplied parent: f84c5d6075dbfe0200f34efc4f8d58a8603430cf

New changelog entries:
  * New upstream release.
  * Update the patches:
    - upstream_cmake-rewrite-libusb-1.0-search.patch: drop, backported
      from upstream
    - upstream_Fix-libusb.h-include.patch: drop, backported from
      upstream
    - use_termios.diff: drop, fixed upstream
    - path_max.diff: refresh, and add new needed hunk to it
  * Give up on symbols files: upstream does not seem to keep any compatibility
    anyway, plus the libraries are built without hidden visibility (exposing
    all the symbols), so the work needed basically gives no gain. Just rely
    on the current shlib version as dependency for users of the libraries.
  * Add the libogg-dev, and libtheora-dev build dependencies.
  * Link in as-needed mode.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch Vcs-* fields to salsa.debian.org.